package javakurssi3;

public class Taikapullo implements Pullo {
  private boolean taysi = true; // yksisuuntainen lippu, ei ny ulospin
  private String nimi;
  private double koko;
  
  /** Taikapullon konstruktori. Luo uuden taikapullon
    * halutulla nimell ja koolla.
    */
  public Taikapullo(String nimi, double koko) {
    this.nimi = nimi;
    this.koko = koko;
  }
  
  /** Palauttaa pullon sisltmn juoman nimen.
    * 
    * @return pullon sisltmn juoman nimen.
    */
  public String getNimi() {
    return this.nimi;
  }
  
  /** Palauttaa pullon koon litroina.
    * 
    * @return pullon koon litroina.
    */
  public double getKoko() {
    return this.koko;
  }
  
  /** Palauttaa sislln mrn litroina.
    * 
    * @return sislln mrn litroina.
    */
  public double getSisallonMaara() {
    return taysi ? this.koko : 0;
  }
  
  /** Palauttaa juoman vrin isolla alkavana
    * suomen kielen sanana.
    * 
    * @return juoman vrin.
    */
  public String getJuomanVari() {
    return "Sateenkaari";
  }
  
  /** Tyhjent pullon.
    */
  public void juo() {
    taysi = false;
  }
  
  public String toString() {
    return String.format("Pullo, koko %s litraa, sislt %s litraa, juoman vri %s",
                         getKoko(),
                         getSisallonMaara(),
                         getJuomanVari());
  }
}